LR_LOG2XML.IN(1)

NAME
lr_log2xml - generate a report in raw XML format from a log file

SYNOPSIS
lr_log2xml [options] service

OPTIONS

-c report_cfg
    Use the file report_cfg as the report configuration file instead of the default one.

DESCRIPTION
lr_log2xml reads a logfile on stdin, feeds it to a 2dlf convertor, and feeds the convertors output to lr_dlf2xml(1). The environment variable LR_TODLF should point to a 2dlf convertor. A report in raw XML format is generated, and written to stdout. Furthermore, the key 'dlflines' is stored in the Lire database.

It runs lr_dlf2sql(1), if asked so by the $LR_SQL_ARCHIVE environment variable.

lr_log2xml needs a tweaked path, and a TMPDIR environment variable. These are generally set in sysconfdir/profile_lean and sysconfdir/defaults.

The environment variable LR_ID is used in tags in debug messages, which get printed to stdout.

This scriptlet is run by lr_log2report(1) and lr_log2mail(1).

SEE ALSO
lr_log2report(1), lr_log2mail(1), lr_dlf2xml(1), documentation in the Lire User Manual

VERSION
$Id: lr_log2xml.in,v 1.27 2002/08/18 12:58:51 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHOR
Joost van Baal <joostvb@logreport.org>